Skip to content
Start here

Fetch Event

GET/accounts/{account_id}/magic/connectors/{connector_id}/telemetry/events/{event_t}.{event_n}

Fetches Magic WAN Connector Telemetry Event

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Magic WAN WriteMagic WAN Read
Path ParametersExpand Collapse
account_id: string

Account identifier

maxLength32
connector_id: string
event_t: number
event_n: number
ReturnsExpand Collapse
result: object { e, n, t, v }

Recorded Event

e: object { k }

Event kind plus event-specific payload fields.

Event kinds:

  • Init: Initialized process
  • Leave: Stopped process
  • StartAttestation: Started attestation
  • FinishAttestationSuccess: Finished attestation
  • FinishAttestationFailure: Failed attestation
  • StartRotateCryptKey: Started crypt key rotation
  • FinishRotateCryptKeySuccess: Finished crypt key rotation
  • FinishRotateCryptKeyFailure: Failed crypt key rotation
  • StartRotatePki: Started PKI rotation
  • FinishRotatePkiSuccess: Finished PKI rotation
  • FinishRotatePkiFailure: Failed PKI rotation
  • StartUpgrade: Started upgrade
  • FinishUpgradeSuccess: Finished upgrade
  • FinishUpgradeFailure: Failed upgrade
  • Reconcile: Reconciled
  • ConfigureCloudflaredTunnel: Configured Cloudflared tunnel
  • RekeyInstallBoth: Installed initial inbound and outbound keys
  • RekeyStart: Installed new inbound key, kept old outbound
  • RekeyRestart: Restarted in-progress rekey with newer key material
  • RekeyAdvance: Confirmed traffic on new inbound key, swapped outbound to new
  • RekeyComplete: Deleted old keys
  • RekeyReset: Deleted all keys after receiving an unexpected key
k: "Init" or "Leave" or "StartAttestation" or 19 more

Event kind

One of the following:
"Init"
"Leave"
"StartAttestation"
"FinishAttestationSuccess"
"FinishAttestationFailure"
"StartRotateCryptKey"
"FinishRotateCryptKeySuccess"
"FinishRotateCryptKeyFailure"
"StartRotatePki"
"FinishRotatePkiSuccess"
"FinishRotatePkiFailure"
"StartUpgrade"
"FinishUpgradeSuccess"
"FinishUpgradeFailure"
"Reconcile"
"ConfigureCloudflaredTunnel"
"RekeyInstallBoth"
"RekeyStart"
"RekeyRestart"
"RekeyAdvance"
"RekeyComplete"
"RekeyReset"
n: number

Sequence number, used to order events with the same timestamp

t: number

Time the Event was recorded (seconds since the Unix epoch)

v: optional string

Version

success: boolean
errors: optional array of object { code, message }
code: number
message: string
messages: optional array of object { code, message }
code: number
message: string

Fetch Event

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/magic/connectors/$CONNECTOR_ID/telemetry/events/$EVENT_T.$EVENT_N \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "result": {
    "e": {
      "k": "Init"
    },
    "n": 0,
    "t": 0,
    "v": "v"
  },
  "success": true,
  "errors": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "messages": [
    {
      "code": 0,
      "message": "message"
    }
  ]
}
Returns Examples
{
  "result": {
    "e": {
      "k": "Init"
    },
    "n": 0,
    "t": 0,
    "v": "v"
  },
  "success": true,
  "errors": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "messages": [
    {
      "code": 0,
      "message": "message"
    }
  ]
}